Avertissement : cet article est le résultat de la traduction automatique, l'exactitude et la fidélité de la traduction ne sont donc pas garanties. Pour consulter la version originale de cet article, en anglais, cliquez ici.
Design Manager

Inclure jQuery dans vos pages HubSpot

Dernière mise à jour: août 19, 2020

Disponible avec :

Hub Marketing Professional, Enterprise
Hub CMS Professional, Enterprise
Ancienne version Hub Marketing Basique

Dans les paramètres de votre site web, vous pouvez activer jQuery afin que le script se charge dans vos pages HubSpot. Vous pouvez également choisir quelle version de jQuery appliquer à votre contenu hébergé sur HubSpot, et où l'inclure dans la page.

  • Depuis votre compte HubSpot, accédez à l'icône Paramètres settings dans l'angle supérieur droit.
  • Dans le menu latéral de gauche, accédez à Site web > Pages.
  • En haut de la page, utilisez le menu déroulant Sélectionnez un domaine pour modifier ses paramètres pour sélectionner les domaines que vous souhaitez modifier. Pour modifier cette configuration pour tous les domaines, sélectionnez Paramètres par défaut pour tous les domaines. Pour modifier cette configuration pour un sous-domaine spécifique, sélectionnez un domaine dans le menu déroulant.  

Remarque : les paramètres de sous-domaines individuels remplaceront les paramètres par défaut de tous les domaines.

  • Faites défiler la page jusqu'à la section jQuery et cochez la case Inclure jQuery pour charger jQuery dans vos pages HubSpot.

Remarque : si une page utilise le module de galerie d'images, le fait de décocher la case jQuery ne supprimera pas le script jQuery de votre page. Le module de galerie d'images nécessite que le script jQuery fonctionne.

include-jquery-checkbox
  • Pour sélectionner la version de jQuery que vous souhaitez inclure, utilisez le menu déroulant Version jQuery. Vous pouvez appliquer la version jQuery 1.11.x ou 1.7.1 à votre contenu hébergé sur HubSpot. 
    • 1.7.1 - Sélectionnez cette version si vous avez déjà conçu votre logique à partir des dépendances d'une version antérieure de jQuery.
    • 1.11.x- Si vous sélectionnez cette version, il est également recommandé de cliquer sur la case à cocher Inclure le script jQuery migrate. Cela ajoutera un script à vos modèles pour améliorer la compatibilité avec les navigateurs précédents.
  • Cliquez sur Enregistrer pour appliquer vos modifications.

Si le script jQuery est inclus, la bibliothèque jQuery se chargera dans le code HTML de vos pages par défaut. Si vous préférez l'inclure dans le pied de page, cliquez sur la case à cocher Charger la bibliothèque jQuery de HubSpot de votre pied de page

load-jquery-from-footer-setting

Avant de procéder à cette modification, assurez-vous que toutes les dépendances jQuery ont été déplacées dans le pied de page également. Pour tester le chargement de vos pages avec jQuery en pied de page, ajoutez cette chaîne de requête à la fin de l'URL de la page :

?hsMoveJQueryToFooter=True 

Remarque : il est recommandé de consulter votre développeur web avant de déplacer jQuery vers vos pieds de page. Si vous avez des questions supplémentaires, contactez les designers HubSpot expérimentés de la communauté.

/fr/cos-general/how-do-i-select-which-version-of-jquery-is-included-across-my-pages